-- Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
-- --------------------------------------------------------------------------------
-- Tool Version: Vivado v.2018.2 (win64) Build 2258646 Thu Jun 14 20:03:12 MDT 2018
-- Date        : Tue Sep  4 15:24:37 2018
-- Host        : baby running 64-bit major release  (build 9200)
-- Command     : write_vhdl -force -mode funcsim D:/L0MDT/srcs/ip/cosine_romC/cosine_romC_sim_netlist.vhdl
-- Design      : cosine_romC
-- Purpose     : This VHDL netlist is a functional simulation representation of the design and should not be modified or
--               synthesized. This netlist cannot be used for SDF annotated simulation.
-- Device      : xcku15p-ffva1760-1-e
-- --------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_prim_wrapper_init is
  port (
    douta : out STD_LOGIC_VECTOR ( 3 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_prim_wrapper_init : entity is "blk_mem_gen_prim_wrapper_init";
end cosine_romC_blk_mem_gen_prim_wrapper_init;

architecture STRUCTURE of cosine_romC_blk_mem_gen_prim_wrapper_init is
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTADOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 15 downto 4 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTBDOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPADOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPBDOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 1 downto 0 );
  attribute box_type : string;
  attribute box_type of \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram\ : label is "PRIMITIVE";
begin
\DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram\: unisim.vcomponents.RAMB18E2
    generic map(
      CASCADE_ORDER_A => "NONE",
      CASCADE_ORDER_B => "NONE",
      CLOCK_DOMAINS => "COMMON",
      DOA_REG => 1,
      DOB_REG => 0,
      ENADDRENA => "FALSE",
      ENADDRENB => "FALSE",
      INITP_00 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_01 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_02 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_03 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_04 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_05 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_06 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_07 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_00 => X"40DA87555568ACF37C16D3B2B3D71C730DA87666679BE159E4A07E6F81B61D96",
      INIT_01 => X"FA51EB8654444579CF37C27E5C4D6F94FA630ECBAAABCE037BF49F6D5D5E82D8",
      INIT_02 => X"C5FA61EA8643223457AD049E4A18F80A4E940C974321123579C049E4A18081B4",
      INIT_03 => X"092C61C841ECA9999ABD036AF49F6D5D6F83D941DB97655568ACF37B06C3A1A2",
      INIT_04 => X"191A4D83EA731FDCCCDEF147BF39E4B2A2B4E83EA731FDCBBCDE0369D27D3908",
      INIT_05 => X"07F7093D83FB863210001347AD16B06D4B3C5E83EA62FDBA999ABCF158D17D3A",
      INIT_06 => X"C3A2B4D71C840DB97666679BD048C17D3A2A3C5FA51D964210F001358BF38D39",
      INIT_07 => X"3A2A2B4E93FB741FEDCCCDE0359D16B18E6E6F82D73FB853200001247AD15A06",
      INIT_08 => X"29091B4E940C96310FFFF1247AD16B06D4C4C5F93E952FCA987778ACE148D27D",
      INIT_09 => X"07092C61C841ECA98889ACE047B05A07E6E6F82D83FC864210001347AD15AF5B",
      INIT_0A => X"5E71C72EA7421FEEEF0247AD16B06D4B3B4E72D840DA8644334579BE26AF5B18",
      INIT_0B => X"71C840DA875544568AC037B06C2908092C61C730DB87655668ACF26AE49F6D4C",
      INIT_0C => X"9520ECBAAABCD0259C16B17E5D5E70A50B740EBA887789BDF269E38E4B2A2A3D",
      INIT_0D => X"CBAAABCE036AE27C29F7E6F81B61C841ECA987788ACE148C05B17E6D6E81C61D",
      INIT_0E => X"F147AE27C17E5C4C5E82C73EB8521FEEEEF0247AE26B06D3A2A3C5FA50C852FD",
      INIT_0F => X"16C3918192C60B62EB85310FFF012469C049E3906E5D6F82D83EB7420EDCCCDE",
      INIT_10 => X"B5FA50C8520ECBAAAACDF147BF38D3907F7F81B50B62EB8642111123469CF37C",
      INIT_11 => X"987666678ADF26AE38D3A18081A3D72D841EB97544344579BE159D28E4A29192",
      INIT_12 => X"26AF49F6C3B3B4D71B61D9520DBA98889ABD0259D16B17D4C3B4D60A50C741EB",
      INIT_13 => X"C60B62DA631FDCBAABBCE0258C049E3906E5D6E81B60C730DA864322234579CF",
      INIT_14 => X"CCDF0358CF38D28E5B3A2B4D71B61D952FDB98766779ACE148C05AF5B2919193",
      INIT_15 => X"3B4D60A4FA51EA7531FEEDDEF01369CF37C17C3908F8092C60B62EA7420EDCBB",
      INIT_16 => X"445689CE148C05A06C2918092B4E93EA52EB8642100F0013469CF37B05A06D4B",
      INIT_17 => X"E71B50B72FB8531FEDCCCCDE0247AD159E38E4B29191A3C60B61C851ECA86554",
      INIT_18 => X"E259D16B17D4A29192B4E82D83FB741FCB987767789BDF258C059E4A06D4C4C5",
      INIT_19 => X"20ECBAA99AABDE0358CF38C17C29F6E5D6E70A4E94FB740DB86532222234579C",
      INIT_1A => X"4E71B50B72EB741FDBA9877788ABDF147AE26B05B17D4B3B3C4E71B50B73FB85",
      INIT_1B => X"F4A06D4B3B3B4D70A5FA51D952FCA8654332334568ACF258C05AF4A06D4B3B3C",
      INIT_1C => X"9CF259D26B16C28F6D5D5D6F82C61B62D962FC97532100F00123468BE148C059",
      INIT_1D => X"BCDE02469CF26AE38D28E4B1807F7092B4E83E94FB740DA864210FEEEFF01357",
      INIT_1E => X"BAABBCDE02468BE259D26B16C28E5C4B3B3C5E81B60B61D951EB8531FEDCBBBB",
      INIT_1F => X"CCCCCDEF02468BE148B048D28D39F6D4B3A3B3C5F82C61C72EA62FC96420EDCB",
      INIT_20 => X"3B3B4D60A4FA50C852FCA8654332334568ACF259D15AF5A07D4B3B3B4D60A4F9",
      INIT_21 => X"8BF37B05B17E4C3B3B4D71B50B62EA741FDBA8877789ABDF147BE27B05B17E4C",
      INIT_22 => X"97543222223568BD047BF49E4A07E6D5E6F92C71C83FC8530EDBAA99AABCE025",
      INIT_23 => X"C4C4D60A4E950C852FDB987767789BCF147BF38D28E4B29192A4D71B61D952EC",
      INIT_24 => X"5568ACE158C16B06C3A19192B4E83E951DA7420EDCCCCDEF1358BF27B05B17E5",
      INIT_25 => X"4D60A50B73FC9643100F0012468BE25AE39E4B2908192C60A50C841EC9865444",
      INIT_26 => X"BCDE0247AE26B06C2908F8093C71C73FC96310FEDDEEF1357AE15AF4A06D4B3B",
      INIT_27 => X"919192B5FA50C841ECA97766789BDF259D16B17D4B2A3B5E82D83FC8530FDCCB",
      INIT_28 => X"C975432223468AD037C06B18E6D5E6093E940C8520ECBBAABCDF136AD26B06C3",
      INIT_29 => X"E147C05A06D4B3C4D71B61D9520DBA98889ABD0259D16B17D4B3B3C6F94FA62F",
      INIT_2A => X"9192A4E82D951EB97544344579BE148D27D3A18081A3D83EA62FDA876666789B",
      INIT_2B => X"73FC9643211112468BE26B05B18F7F7093D83FB741FDCAAAABCE0258C05AF5B2",
      INIT_2C => X"DCCCDE0247BE38D28F6D5E6093E940C964210FFF01358BE26B06C2918193C61C",
      INIT_2D => X"F258C05AF5C3A2A3D60B62EA7420FEEEEF1258BE37C28E5C4C5E71C72EA741FE",
      INIT_2E => X"16C18E6D6E71B50C841ECA887789ACE148C16B18F6E7F92C72EA630ECBAAABCD",
      INIT_2F => X"3A2A2B4E83E962FDB987788ABE047B05A07E5D5E71B61C9520DCBAAABCE0259D",
      INIT_30 => X"4D6F94EA62FCA86655678BD037C16C2908092C60B730CA865445578AD048C17D",
      INIT_31 => X"1B5FA62EB9754334468AD048D27E4B3B4D60B61DA7420FEEEF1247AE27C17E5C",
      INIT_32 => X"5FA51DA743100012468CF38D28F6E6E70A50B740ECA98889ACE148C16C290708",
      INIT_33 => X"72D841ECA877789ACF259E39F5C4C4D60B61DA7421FFFF01369C049E4B19092B",
      INIT_34 => X"0A51DA742100002358BF37D28F6E6E81B61D9530EDCCCDEF147BF39E4B2A2A3D",
      INIT_35 => X"3D83FB853100F012469D15AF5C3A2A3D71C840DB97666679BD048C17D4B2A3C6",
      INIT_36 => X"3D71D851FCBA999ABDF26AE38E5C3B4D60B61DA743100012368BF38D3907F709",
      INIT_37 => X"093D72D9630EDCBBCDF137AE38E4B2A2B4E93FB741FEDCCCDF137AE38D4A191A",
      INIT_38 => X"A1A3C60B73FCA86555679BD149D38F6D5D6F94FA630DBA9999ACE148C16C2908",
      INIT_39 => X"B18081A4E940C975321123479C049E4A08F81A4E940DA7543223468AE16AF5C2",
      INIT_3A => X"D28E5D5D6F94FB730ECBAAABCE036AF49F6D4C5E72C73FC9754444568BE15AF4",
      INIT_3B => X"9D16B18F6E70A4E951EB97666678AD037C17D3B2B3D61C73FCA86555578AD048",
      INIT_3C => X"369C049F5B2A2B4D82E9630ECBAABCDF259D27C39191A3D72EA631FEDDDDF036",
      INIT_3D => X"012479D15A06C3B3C5F94FB741FECCCCDF147BF39E5B3B3C5FA50C964200F002",
      INIT_3E => X"00F002469C05AF5C3B3B5E93FB741FDCCCCEF147BF49F5C3B3C60A51D9742100",
      INIT_3F => X"30FDDDDEF136AE27D3A19193C72D952FDCBAABCE0369E28D4B2A2B5F940C9632",
      INIT_A => B"00" & X"0000",
      INIT_B => B"00" & X"0000",
      INIT_FILE => "NONE",
      IS_CLKARDCLK_INVERTED => '0',
      IS_CLKBWRCLK_INVERTED => '0',
      IS_ENARDEN_INVERTED => '0',
      IS_ENBWREN_INVERTED => '0',
      IS_RSTRAMARSTRAM_INVERTED => '0',
      IS_RSTRAMB_INVERTED => '0',
      IS_RSTREGARSTREG_INVERTED => '0',
      IS_RSTREGB_INVERTED => '0',
      RDADDRCHANGEA => "FALSE",
      RDADDRCHANGEB => "FALSE",
      READ_WIDTH_A => 4,
      READ_WIDTH_B => 4,
      RSTREG_PRIORITY_A => "REGCE",
      RSTREG_PRIORITY_B => "REGCE",
      SIM_COLLISION_CHECK => "ALL",
      SLEEP_ASYNC => "FALSE",
      SRVAL_A => B"00" & X"0000",
      SRVAL_B => B"00" & X"0000",
      WRITE_MODE_A => "WRITE_FIRST",
      WRITE_MODE_B => "WRITE_FIRST",
      WRITE_WIDTH_A => 4,
      WRITE_WIDTH_B => 4
    )
        port map (
      ADDRARDADDR(13 downto 2) => addra(11 downto 0),
      ADDRARDADDR(1 downto 0) => B"00",
      ADDRBWRADDR(13 downto 0) => B"00000000000000",
      ADDRENA => '0',
      ADDRENB => '0',
      CASDIMUXA => '0',
      CASDIMUXB => '0',
      CASDINA(15 downto 0) => B"0000000000000000",
      CASDINB(15 downto 0) => B"0000000000000000",
      CASDINPA(1 downto 0) => B"00",
      CASDINPB(1 downto 0) => B"00",
      CASDOMUXA => '0',
      CASDOMUXB => '0',
      CASDOMUXEN_A => '0',
      CASDOMUXEN_B => '0',
      CASDOUTA(15 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTA_UNCONNECTED\(15 downto 0),
      CASDOUTB(15 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTB_UNCONNECTED\(15 downto 0),
      CASDOUTPA(1 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPA_UNCONNECTED\(1 downto 0),
      CASDOUTPB(1 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPB_UNCONNECTED\(1 downto 0),
      CASOREGIMUXA => '0',
      CASOREGIMUXB => '0',
      CASOREGIMUXEN_A => '0',
      CASOREGIMUXEN_B => '0',
      CLKARDCLK => clka,
      CLKBWRCLK => clka,
      DINADIN(15 downto 0) => B"0000000000000000",
      DINBDIN(15 downto 0) => B"0000000000000000",
      DINPADINP(1 downto 0) => B"00",
      DINPBDINP(1 downto 0) => B"00",
      DOUTADOUT(15 downto 4) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTADOUT_UNCONNECTED\(15 downto 4),
      DOUTADOUT(3 downto 0) => douta(3 downto 0),
      DOUTBDOUT(15 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTBDOUT_UNCONNECTED\(15 downto 0),
      DOUTPADOUTP(1 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPADOUTP_UNCONNECTED\(1 downto 0),
      DOUTPBDOUTP(1 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPBDOUTP_UNCONNECTED\(1 downto 0),
      ENARDEN => '1',
      ENBWREN => '0',
      REGCEAREGCE => '1',
      REGCEB => '0',
      RSTRAMARSTRAM => '0',
      RSTRAMB => '0',
      RSTREGARSTREG => '0',
      RSTREGB => '0',
      SLEEP => sleep,
      WEA(1 downto 0) => B"00",
      WEBWE(3 downto 0) => B"0000"
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized0\ is
  port (
    douta : out STD_LOGIC_VECTOR ( 8 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized0\ : entity is "blk_mem_gen_prim_wrapper_init";
end \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized0\;

architecture STRUCTURE of \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized0\ is
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 8 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 1 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED\ : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED\ : STD_LOGIC_VECTOR ( 8 downto 0 );
  attribute box_type : string;
  attribute box_type of \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram\ : label is "PRIMITIVE";
begin
\DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram\: unisim.vcomponents.RAMB36E2
    generic map(
      CASCADE_ORDER_A => "NONE",
      CASCADE_ORDER_B => "NONE",
      CLOCK_DOMAINS => "COMMON",
      DOA_REG => 1,
      DOB_REG => 0,
      ENADDRENA => "FALSE",
      ENADDRENB => "FALSE",
      EN_ECC_PIPE => "FALSE",
      EN_ECC_READ => "FALSE",
      EN_ECC_WRITE => "FALSE",
      INITP_00 => X"FF000007FFFFF0000007FFFFFF00000007FFFFFFFE0000000001FFFFFFFFFFFF",
      INITP_01 => X"FFF0007FFC001FFF8001FFF8000FFFE0003FFFC0001FFFF00003FFFF00000FFF",
      INITP_02 => X"0FF801FF007FE00FFC00FFC00FFC00FFE007FF001FFC007FF001FFE001FFE001",
      INITP_03 => X"0FE03FC07F00FE01FC03FC07F807F807F807F807F803FC03FE01FF007F803FE0",
      INITP_04 => X"F03F03F03F81F81FC0FC0FE07F03F81FC0FE07F01F80FE03F80FC07F01FC03F8",
      INITP_05 => X"83E07C1F83E07C0F81F07E0FC0F81F03F07E07C0FC1F81F81F03F03F03F03F03",
      INITP_06 => X"7C1F0F83E0F07C1F07C1F0F83E0F83E0F83E0F83E07C1F07C1F03E0F83F07C1F",
      INITP_07 => X"783C1E1F0F87C3E1F0F87C3E1F0F87C1E0F0783E1F0783C1F0783E1F0783E0F0",
      INITP_08 => X"F07C1F83E0F81F07C1F07C0F83E0F83E0F83E0F83E1F07C1F07C1E0F83E1F07C",
      INITP_09 => X"81F81F81F81F81F03F03F07E07C0FC1F81F03E07E0FC1F03E07C0F83F07C0F83",
      INITP_0A => X"3F807F01FC07E03F80FE03F01FC0FE07F03F81FC0FE07E07F03F03F81F81F81F",
      INITP_0B => X"0FF803FC01FF00FF807F803FC03FC03FC03FC03FC07F807F00FE01FC07F80FE0",
      INITP_0C => X"000FFF000FFF001FFC007FF001FFC00FFE007FE007FE007FE00FFC01FF003FE0",
      INITP_0D => X"FFE00001FFFF80001FFFF00007FFF8000FFFE0003FFF0003FFF0007FFC001FFF",
      INITP_0E => X"FFFFFFFFFFFF0000000000FFFFFFFFC0000001FFFFFFC000001FFFFFC00001FF",
      INITP_0F => X"C000000000000000000000000000000000000000000000000000000000000007",
      INIT_00 => X"9E98938E89847F7A75706B66615D58534E4A45413C37332E2A26211D1914100C",
      INIT_01 => X"554F48423C36302A241E18120C0600FBF5EFEAE4DED9D3CEC8C3BDB8B3ADA8A3",
      INIT_02 => X"2D261F18110902FBF4EDE6DFD8D1CBC4BDB6AFA9A29B958E88817B746E68615B",
      INIT_03 => X"271F170F06FEF6EEE6DED6CEC6BEB6AEA69E978F8780787069615A524B433C35",
      INIT_04 => X"433930271E140B02F9F0E7DED5CCC3BAB1A89F978E857C746B635A5249413830",
      INIT_05 => X"7F756A60564C41372D23190F05FBF1E7DDD3C9BFB6ACA2988F857C72685F564C",
      INIT_06 => X"DDD1C6BBAFA4998E82776C61564B40352A1F1409FEF4E9DED4C9BEB4A99F948A",
      INIT_07 => X"5C4F43362A1E1105F9EDE0D4C8BCB0A4988C8074695D5145392E22160BFFF4E8",
      INIT_08 => X"FBEEE0D3C5B8AB9D908376695B4E4134271A0D00F4E7DACDC0B4A79A8E817568",
      INIT_09 => X"BCAD9F9082736557483A2C1E1001F3E5D7C9BBAD9F928476685A4D3F31241609",
      INIT_0A => X"9D8D7E6E5F4F4031211203F4E4D5C6B7A8998A7B6C5D4E4031221305F6E7D9CA",
      INIT_0B => X"9F8E7D6D5D4C3C2B1B0BFAEADACABAAA9A8A7A6A5A4A3A2A1A0AFBEBDBCCBCAC",
      INIT_0C => X"C1AF9E8C7B69584635241301F0DFCEBDAC9B897968574635241302F2E1D0C0AF",
      INIT_0D => X"03F1DECCB9A79482705D4B39271402F0DECCBAA8968472604E3D2B1907F6E4D2",
      INIT_0E => X"66523F2B1804F1DECAB7A4907D6A5744311E0BF8E5D2BFAC998673614E3B2916",
      INIT_0F => X"E9D4C0AB97826E5945311C08F4E0CCB7A38F7B67533F2B1804F0DCC8B5A18D7A",
      INIT_10 => X"8B76604B35200AF5E0CAB5A08B75604B36210CF7E2CDB8A38E7A65503B2712FD",
      INIT_11 => X"4E37210AF4DDC7B09A846E57412B15FFE9D2BCA6907B654F39230DF8E2CCB7A1",
      INIT_12 => X"2F1800E9D1BAA38B745D452E1700E9D2BBA48D765F48311A03ECD6BFA8917B64",
      INIT_13 => X"311800E7CFB69E866D553D250CF4DCC4AC947C644C341C05EDD5BDA68E765F47",
      INIT_14 => X"51371E04EBD2B89F866D533A2108EFD6BDA48B725940270EF6DDC4AB937A6249",
      INIT_15 => X"90755B41260CF2D7BDA3896F553A2006ECD2B99F856B51371E04EAD1B79D846A",
      INIT_16 => X"EED2B79C80654A2F13F8DDC2A78C71563B2005EACFB59A7F644A2F14FADFC5AA",
      INIT_17 => X"6A4E3115F9DDC0A4886C503418FCE0C4A88C7055391D01E6CAAE93775C402509",
      INIT_18 => X"05E7CAAD907255381BFEE1C4A78A6D503317FADDC0A4876A4E3115F8DCBFA386",
      INIT_19 => X"BD9F8163442608EACCAE9072543719FBDDBFA28466492B0DF0D2B5977A5D3F22",
      INIT_1A => X"9374553617F8D9BA9B7C5D3E2001E2C3A58667492A0BEDCEB09173553618FADB",
      INIT_1B => X"8767472707E7C7A78868482808E9C9A98A6A4A2B0BECCCAD8E6E4F3010F1D2B3",
      INIT_1C => X"9877563615F4D3B29171502F0FEECDAD8C6C4B2B0AEAC9A98969482808E8C7A7",
      INIT_1D => X"C6A583613F1DFCDAB89775533210EFCDAC8A69482605E4C2A1805F3E1DFBDAB9",
      INIT_1E => X"11EFCCA98664411FFCD9B794724F2D0BE8C6A4815F3D1BF9D7B492704E2C0AE8",
      INIT_1F => X"7955310EEAC7A3805C3915F2CFAB8865411EFBD8B5926F4B2805E3C09D7A5734",
      INIT_20 => X"FCD7B38E6A4621FDD9B4906C4723FFDBB7936F4B2703DFBB97734F2B07E4C09C",
      INIT_21 => X"9B76502B06E1BB96714C2701DCB7926D4823FED9B4906B4621FCD8B38E6A4521",
      INIT_22 => X"56300AE3BD97714B25FFD9B38D67411BF5CFAA845E3813EDC7A27C57310CE6C1",
      INIT_23 => X"2C05DEB79069421BF4CDA67F59320BE4BE97704A23FDD6B089633C16EFC9A37C",
      INIT_24 => X"1DF5CDA57E562E06DEB78F674018F0C9A17A522B03DCB58D663F17F0C9A27A53",
      INIT_25 => X"2900D7AE865D340CE3BB926A4119F0C8A0774F27FED6AE865E350DE5BD956D45",
      INIT_26 => X"4F25FBD2A87F552C03D9B0875D340BE2B88F663D14EBC29970471EF5CCA37A51",
      INIT_27 => X"8E643A0FE5BB90663C12E8BD93693F15EBC1976D431AF0C69C72491FF5CBA278",
      INIT_28 => X"E8BC91663B10E5BA8F64390EE3B88D63380DE2B88D62370DE2B88D63380EE3B9",
      INIT_29 => X"5A2E02D6AB7F5327FBCFA4784C21F5C99E72471BF0C4996D4217EBC095693E13",
      INIT_2A => X"E6B98C603306DAAD815427FBCFA276491DF1C4986C3F13E7BB8F63360ADEB286",
      INIT_2B => X"8A5C2F01D4A7794C1EF1C497693C0FE2B5885A2D00D3A6794C20F3C6996C3F12",
      INIT_2C => X"4618E9BB8D5F3103D5A7794A1DEFC193653709DBAD805224F7C99B6E4012E5B7",
      INIT_2D => X"1AEBBC8D5E2F00D1A3744516E8B98A5C2DFED0A1734416E7B98A5C2DFFD1A274",
      INIT_2E => X"05D5A6764617E7B8885929FACA9B6B3C0DDDAE7F4F20F1C292633405D6A77849",
      INIT_2F => X"07D7A7764616E5B5855424F4C494643303D3A3734313E3B3845424F4C4946535",
      INIT_30 => X"20EFBE8D5C2BFAC998673605D4A3734211E0B07F4E1DEDBC8C5B2AFAC9996838",
      INIT_31 => X"4F1EECBA885725F3C2905E2DFBCA98673504D2A16F3E0DDBAA794716E5B48351",
      INIT_32 => X"94622FFDCB98663301CF9C6A3806D4A16F3D0BD9A7754311DFAD7B4917E5B381",
      INIT_33 => X"EFBC885522EFBC895623F0BD8A5725F2BF8C5926F4C18E5C29F6C4915E2CF9C7",
      INIT_34 => X"5E2AF6C38F5B28F4C08D5925F2BE8B5724F0BD895623EFBC895522EFBB885522",
      INIT_35 => X"E2AD794510DCA8733F0BD6A26E3A06D19D693501CD996531FDC995612DF9C692",
      INIT_36 => X"7A4510DBA6713C07D29D6833FECA95602BF7C28D5824EFBB86511DE8B47F4B16",
      INIT_37 => X"25F0BA854F19E4AE79430ED8A36D3803CD98622DF8C38D5823EEB8834E19E4AF",
      INIT_38 => X"E4AE78420BD59F6933FDC7915B25EEB9834D17E1AB753F09D39E6832FCC7915B",
      INIT_39 => X"B67F4812DBA46D3700C9935C25EFB8814B14DEA7713A04CD97612AF4BE87511B",
      INIT_3A => X"9A632BF4BD854E17DFA8713A03CB945D26EFB8814A12DBA46D36FFC9925B24ED",
      INIT_3B => X"905820E8B1794109D199612AF2BA824B13DBA46C34FDC58E561FE7AF784109D2",
      INIT_3C => X"985F27EEB67D450DD49C642BF3BB824A12DAA16931F9C1895018E0A8703800C8",
      INIT_3D => X"B0773E05CC935A21E9B0773E05CC935B22E9B0783F06CE955C24EBB27A4109D0",
      INIT_3E => X"D9A0662DF3BA80470DD49B6128EFB57C4309D0975E24EBB2794007CE945B22E9",
      INIT_3F => X"12D89E642AF0B67C4309CF955B21E7AE743A00C78D5319E0A66C33F9BF864C13",
      INIT_40 => X"E4194E83B8EE23588DC3F82D6298CD03386DA3D80E4379AEE4194F85BAF0255B",
      INIT_41 => X"4B7FB4E81D5186BBEF24588DC2F72B6095CAFE33689DD2073C71A6DB10457AAF",
      INIT_42 => X"C6F92D6195C9FD316599CD0135699DD1063A6EA2D60B3F73A8DC104579ADE216",
      INIT_43 => X"5588BBEF225589BCEF235689BDF024578BBEF225598DC0F4285B8FC3F62A5E92",
      INIT_44 => X"F92C5E91C4F6295C8EC1F426598CBFF225578ABDF0235689BCEF225588BCEF22",
      INIT_45 => X"B3E517497BADDF114375A7D90B3D6FA1D406386A9CCF01336698CBFD2F6294C7",
      INIT_46 => X"83B4E5164779AADB0D3E6FA1D204356798CAFB2D5E90C2F3255788BAEC1E4F81",
      INIT_47 => X"6899C9FA2A5B8CBCED1D4E7FB0E0114273A3D405366798C9FA2B5C8DBEEF2051",
      INIT_48 => X"6594C4F4245484B3E3134373A3D303336494C4F4245485B5E5164676A7D70738",
      INIT_49 => X"78A7D605346392C2F1204F7FAEDD0D3C6B9BCAFA295988B8E7174676A6D50535",
      INIT_4A => X"A2D1FF2D5C8AB9E7164473A1D0FE2D5C8AB9E8164574A3D1002F5E8DBCEB1A49",
      INIT_4B => X"E512406E9BC9F7245280ADDB09376593C1EF1D4A79A7D503315F8DBBE9184674",
      INIT_4C => X"3F6C99C6F3204C79A6D3002D5A88B5E20F3C6997C4F11E4C79A7D4012F5C8AB7",
      INIT_4D => X"B2DE0A36638FBBE7133F6C98C4F11D4976A2CFFB275481ADDA0633608CB9E612",
      INIT_4E => X"3E6995C0EB17426D99C4F01B47729EC9F5214C78A4CFFB27537FABD6022E5A86",
      INIT_4F => X"E30E38638DB8E20D37628DB8E20D38638DB8E30E39648FBAE5103B6691BCE813",
      INIT_50 => X"A2CBF51F49729CC6F01A436D97C1EB153F6993BDE8123C6690BBE50F3A648EB9",
      INIT_51 => X"7AA3CCF51E477099C2EB143D668FB8E20B345D87B0D9032C557FA8D2FB254F78",
      INIT_52 => X"6D95BDE50D355E86AED6FE274F77A0C8F019416A92BBE30C345D86AED7002951",
      INIT_53 => X"7AA2C9F0173F668DB5DC032B527AA1C9F01840678FB7DE062E567EA5CDF51D45",
      INIT_54 => X"A3C9EF163C6389B0D6FD234A7097BEE40B32597FA6CDF41B426990B7DE052C53",
      INIT_55 => X"E60C31577CA2C7ED13385E84AACFF51B41678DB3D9FF254B7197BDE30A30567C",
      INIT_56 => X"456A8EB3D8FC21466B90B4D9FE23486D92B7DC01274C7196BBE1062B50769BC1",
      INIT_57 => X"C0E4072B4F7397BBDF03274B6F93B7DBFF23476C90B4D9FD21466A8EB3D7FC21",
      INIT_58 => X"577A9DC0E305284B6F92B5D8FB1E416588ABCFF215395C80A3C7EA0E3155799C",
      INIT_59 => X"0A2C4E7092B4D7F91B3D5F81A4C6E80B2D4F7294B7D9FC1F416486A9CCEF1134",
      INIT_5A => X"DAFB1D3E5F80A1C2E4052648698AACCDEF1032537597B8DAFC1D3F6183A5C6E8",
      INIT_5B => X"C7E80828486989A9C9EA0A2B4B6C8CADCDEE0F2F507191B2D3F41536567798B9",
      INIT_5C => X"D2F110304F6E8EADCCEC0B2B4A6A8AA9C9E90828486888A7C7E70727476787A7",
      INIT_5D => X"FA1836557391B0CEED0B2A496786A5C3E201203E5D7C9BBAD9F81736557493B3",
      INIT_5E => X"3F5D7A97B5D2F00D2B496684A2BFDDFB1937547290AECCEA08264463819FBDDB",
      INIT_5F => X"A3BFDCF815314E6A87A4C0DDFA1733506D8AA7C4E1FE1B38557290ADCAE70522",
      INIT_60 => X"25405C7793AECAE6011D3955708CA8C4E0FC1834506C88A4C0DDF915314E6A86",
      INIT_61 => X"C5DFFA142F4A647F9AB5CFEA05203B56718CA7C2DDF8132F4A65809CB7D2EE09",
      INIT_62 => X"849DB7D1EA041E37516B859FB9D2EC06203A556F89A3BDD7F20C26415B7590AA",
      INIT_63 => X"627A93ABC4DDF60E274059728BA4BDD6EF08213A536D869FB8D2EB041E37516A",
      INIT_64 => X"5F768EA6BDD5ED051C344C647C94ACC4DCF40C253D556D869EB6CFE700183149",
      INIT_65 => X"7B91A8BFD6EC031A31485F768DA4BBD2E900172E455D748BA3BAD1E900182F47",
      INIT_66 => X"B7CCE2F80D23394F657B90A6BCD2E9FF152B41576E849AB0C7DDF40A21374E64",
      INIT_67 => X"12273B50657A8EA3B8CDE2F70C21364B60758BA0B5CAE0F50A20354B60768BA1",
      INIT_68 => X"8DA1B5C8DCF004182B3F53677B8FA3B7CCE0F4081C3145596E8297ABC0D4E9FD",
      INIT_69 => X"293B4E61738699ACBFD2E5F80B1E3144576A7D90A4B7CADEF104182B3F52667A",
      INIT_6A => X"E4F607192B3D4E60728496A8BACCDEF0021427394B5D708294A7B9CCDEF10316",
      INIT_6B => X"C0D0E1F20213243546576879899BACBDCEDFF0011324354658697B8C9EAFC1D2",
      INIT_6C => X"BCCCDBEBFB0A1A2A3A4A5A6A7A8A9AAABACADAEAFA0B1B2B3C4C5D6D7D8E9FAF",
      INIT_6D => X"D9E7F605132231404E5D6C7B8A99A8B7C6D5E4F403122131404F5F6E7E8D9DAC",
      INIT_6E => X"1624313F4D5A687684929FADBBC9D7E5F301101E2C3A4857657382909FADBCCA",
      INIT_6F => X"75818E9AA7B4C0CDDAE7F4000D1A2734414E5B697683909DABB8C5D3E0EEFB09",
      INIT_70 => X"F4FF0B16222E3945515D6974808C98A4B0BCC8D4E0EDF905111E2A36434F5C68",
      INIT_71 => X"949FA9B4BEC9D4DEE9F4FE09141F2A35404B56616C77828E99A4AFBBC6D1DDE8",
      INIT_72 => X"565F68727C858F98A2ACB6BFC9D3DDE7F1FB050F19232D37414C56606A757F8A",
      INIT_73 => X"384149525A636B747C858E979FA8B1BAC3CCD5DEE7F0F9020B141E273039434C",
      INIT_74 => X"3C434B525A6169707880878F979EA6AEB6BEC6CED6DEE6EEF6FE060F171F2730",
      INIT_75 => X"61686E747B81888E959BA2A9AFB6BDC4CBD1D8DFE6EDF4FB020911181F262D35",
      INIT_76 => X"A8ADB3B8BDC3C8CED3D9DEE4EAEFF5FB00060C12181E242A30363C42484F555B",
      INIT_77 => X"1014191D21262A2E33373C41454A4E53585D61666B70757A7F84898E93989EA3",
      INIT_78 => X"9A9DA0A3A7AAADB1B4B8BBBFC2C6C9CDD1D4D8DCE0E4E7EBEFF3F7FBFF04080C",
      INIT_79 => X"4547494B4E50525457595C5E616366686B6E707376797C7E8184878A8D909396",
      INIT_7A => X"111214151617181A1B1C1E1F2122242527282A2C2E2F31333537393B3C3F4143",
      INIT_7B => X"0000000000000001010102020203030404050506070708090A0B0B0C0D0E0F10",
      INIT_7C => X"0F0E0D0C0B0B0A09080707060505040403030202020101010000000000000000",
      INIT_7D => X"413F3C3B39373533312F2E2C2A2827252422211F1E1C1B1A1817161514121110",
      INIT_7E => X"93908D8A8784817E7C797673706E6B686663615E5C59575452504E4B49474543",
      INIT_7F => X"0804FFFBF7F3EFEBE7E4E0DCD8D4D1CDC9C6C2BFBBB8B4B1ADAAA7A3A09D9A96",
      INIT_A => X"000000000",
      INIT_B => X"000000000",
      INIT_FILE => "NONE",
      IS_CLKARDCLK_INVERTED => '0',
      IS_CLKBWRCLK_INVERTED => '0',
      IS_ENARDEN_INVERTED => '0',
      IS_ENBWREN_INVERTED => '0',
      IS_RSTRAMARSTRAM_INVERTED => '0',
      IS_RSTRAMB_INVERTED => '0',
      IS_RSTREGARSTREG_INVERTED => '0',
      IS_RSTREGB_INVERTED => '0',
      RDADDRCHANGEA => "FALSE",
      RDADDRCHANGEB => "FALSE",
      READ_WIDTH_A => 9,
      READ_WIDTH_B => 9,
      RSTREG_PRIORITY_A => "REGCE",
      RSTREG_PRIORITY_B => "REGCE",
      SIM_COLLISION_CHECK => "ALL",
      SLEEP_ASYNC => "FALSE",
      SRVAL_A => X"000000000",
      SRVAL_B => X"000000000",
      WRITE_MODE_A => "WRITE_FIRST",
      WRITE_MODE_B => "WRITE_FIRST",
      WRITE_WIDTH_A => 9,
      WRITE_WIDTH_B => 9
    )
        port map (
      ADDRARDADDR(14 downto 3) => addra(11 downto 0),
      ADDRARDADDR(2 downto 0) => B"000",
      ADDRBWRADDR(14 downto 0) => B"000000000000000",
      ADDRENA => '0',
      ADDRENB => '0',
      CASDIMUXA => '0',
      CASDIMUXB => '0',
      CASDINA(31 downto 0) => B"00000000000000000000000000000000",
      CASDINB(31 downto 0) => B"00000000000000000000000000000000",
      CASDINPA(3 downto 0) => B"0000",
      CASDINPB(3 downto 0) => B"0000",
      CASDOMUXA => '0',
      CASDOMUXB => '0',
      CASDOMUXEN_A => '0',
      CASDOMUXEN_B => '0',
      CASDOUTA(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED\(31 downto 0),
      CASDOUTB(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED\(31 downto 0),
      CASDOUTPA(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED\(3 downto 0),
      CASDOUTPB(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED\(3 downto 0),
      CASINDBITERR => '0',
      CASINSBITERR => '0',
      CASOREGIMUXA => '0',
      CASOREGIMUXB => '0',
      CASOREGIMUXEN_A => '0',
      CASOREGIMUXEN_B => '0',
      CASOUTDBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED\,
      CASOUTSBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED\,
      CLKARDCLK => clka,
      CLKBWRCLK => clka,
      DBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED\,
      DINADIN(31 downto 0) => B"00000000000000000000000000000000",
      DINBDIN(31 downto 0) => B"00000000000000000000000000000000",
      DINPADINP(3 downto 0) => B"0000",
      DINPBDINP(3 downto 0) => B"0000",
      DOUTADOUT(31 downto 8) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED\(31 downto 8),
      DOUTADOUT(7 downto 0) => douta(7 downto 0),
      DOUTBDOUT(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED\(31 downto 0),
      DOUTPADOUTP(3 downto 1) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED\(3 downto 1),
      DOUTPADOUTP(0) => douta(8),
      DOUTPBDOUTP(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED\(3 downto 0),
      ECCPARITY(7 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED\(7 downto 0),
      ECCPIPECE => '0',
      ENARDEN => '1',
      ENBWREN => '0',
      INJECTDBITERR => '0',
      INJECTSBITERR => '0',
      RDADDRECC(8 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED\(8 downto 0),
      REGCEAREGCE => '1',
      REGCEB => '0',
      RSTRAMARSTRAM => '0',
      RSTRAMB => '0',
      RSTREGARSTREG => '0',
      RSTREGB => '0',
      SBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED\,
      SLEEP => sleep,
      WEA(3 downto 0) => B"0000",
      WEBWE(7 downto 0) => B"00000000"
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized1\ is
  port (
    douta : out STD_LOGIC_VECTOR ( 7 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized1\ : entity is "blk_mem_gen_prim_wrapper_init";
end \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized1\;

architecture STRUCTURE of \cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized1\ is
  signal \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_n_143\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED\ : STD_LOGIC;
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 8 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED\ : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 1 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED\ : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED\ : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED\ : STD_LOGIC_VECTOR ( 8 downto 0 );
  attribute box_type : string;
  attribute box_type of \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram\ : label is "PRIMITIVE";
begin
\DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram\: unisim.vcomponents.RAMB36E2
    generic map(
      CASCADE_ORDER_A => "NONE",
      CASCADE_ORDER_B => "NONE",
      CLOCK_DOMAINS => "COMMON",
      DOA_REG => 1,
      DOB_REG => 0,
      ENADDRENA => "FALSE",
      ENADDRENB => "FALSE",
      EN_ECC_PIPE => "FALSE",
      EN_ECC_READ => "FALSE",
      EN_ECC_WRITE => "FALSE",
      INITP_00 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_01 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_02 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_03 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_04 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_05 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_06 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_07 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_08 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_09 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0A => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0B => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0C => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0D => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0E => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0F => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_00 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_01 => X"0101010101010101010101010101010000000000000000000000000000000000",
      INIT_02 => X"0101010101010101010101010101010101010101010101010101010101010101",
      INIT_03 => X"0202020202010101010101010101010101010101010101010101010101010101",
      INIT_04 => X"0202020202020202020202020202020202020202020202020202020202020202",
      INIT_05 => X"0303030303030303030303030302020202020202020202020202020202020202",
      INIT_06 => X"0303030303030303030303030303030303030303030303030303030303030303",
      INIT_07 => X"0404040404040404040404040404040404040404040404040404040404030303",
      INIT_08 => X"0505050505050505050505050505050505050505040404040404040404040404",
      INIT_09 => X"0606060606060606060606060606050505050505050505050505050505050505",
      INIT_0A => X"0707070707070707070707060606060606060606060606060606060606060606",
      INIT_0B => X"0808080808080808080807070707070707070707070707070707070707070707",
      INIT_0C => X"0909090909090909090909090808080808080808080808080808080808080808",
      INIT_0D => X"0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0909090909090909090909090909090909",
      INIT_0E => X"0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0A0A0A0A0A0A0A0A0A0A0A0A0A",
      INIT_0F => X"0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0B0B0B0B0B0B0B",
      INIT_10 => X"0E0E0E0E0E0E0E0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0C",
      INIT_11 => X"0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E",
      INIT_12 => X"111111101010101010101010101010101010101010101010100F0F0F0F0F0F0F",
      INIT_13 => X"1212121212121212121212121211111111111111111111111111111111111111",
      INIT_14 => X"1414141413131313131313131313131313131313131313131212121212121212",
      INIT_15 => X"1515151515151515151515151515151514141414141414141414141414141414",
      INIT_16 => X"1717171717171717171616161616161616161616161616161616161615151515",
      INIT_17 => X"1919191918181818181818181818181818181818181818171717171717171717",
      INIT_18 => X"1B1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1919191919191919191919191919",
      INIT_19 => X"1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B",
      INIT_1A => X"1E1E1E1E1E1E1E1E1E1E1E1E1E1E1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1C1C",
      INIT_1B => X"202020202020202020202020201F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1E1E1E",
      INIT_1C => X"2222222222222222222222222221212121212121212121212121212121202020",
      INIT_1D => X"2424242424242424242424242424232323232323232323232323232323222222",
      INIT_1E => X"2726262626262626262626262626262625252525252525252525252525252524",
      INIT_1F => X"2929292928282828282828282828282828282727272727272727272727272727",
      INIT_20 => X"2B2B2B2B2B2B2B2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A29292929292929292929",
      INIT_21 => X"2D2D2D2D2D2D2D2D2D2D2D2D2C2C2C2C2C2C2C2C2C2C2C2C2C2B2B2B2B2B2B2B",
      INIT_22 => X"3030302F2F2F2F2F2F2F2F2F2F2F2F2F2E2E2E2E2E2E2E2E2E2E2E2E2E2E2D2D",
      INIT_23 => X"3232323232323232313131313131313131313131313030303030303030303030",
      INIT_24 => X"3534343434343434343434343434333333333333333333333333333232323232",
      INIT_25 => X"3737373737373737363636363636363636363636353535353535353535353535",
      INIT_26 => X"3A3A393939393939393939393939393838383838383838383838383737373737",
      INIT_27 => X"3C3C3C3C3C3C3C3C3C3C3B3B3B3B3B3B3B3B3B3B3B3B3A3A3A3A3A3A3A3A3A3A",
      INIT_28 => X"3F3F3F3F3F3F3E3E3E3E3E3E3E3E3E3E3E3E3D3D3D3D3D3D3D3D3D3D3D3D3C3C",
      INIT_29 => X"42424241414141414141414141414040404040404040404040403F3F3F3F3F3F",
      INIT_2A => X"4444444444444444444444434343434343434343434343424242424242424242",
      INIT_2B => X"4747474747474747474646464646464646464646464545454545454545454545",
      INIT_2C => X"4A4A4A4A4A4A4A4A494949494949494949494948484848484848484848484747",
      INIT_2D => X"4D4D4D4D4D4D4D4C4C4C4C4C4C4C4C4C4C4B4B4B4B4B4B4B4B4B4B4B4A4A4A4A",
      INIT_2E => X"5050505050504F4F4F4F4F4F4F4F4F4F4F4E4E4E4E4E4E4E4E4E4E4E4D4D4D4D",
      INIT_2F => X"5353535353535252525252525252525252515151515151515151515050505050",
      INIT_30 => X"5656565656565555555555555555555555545454545454545454545353535353",
      INIT_31 => X"5959595959595958585858585858585858585757575757575757575756565656",
      INIT_32 => X"5C5C5C5C5C5C5C5C5C5B5B5B5B5B5B5B5B5B5B5A5A5A5A5A5A5A5A5A5A595959",
      INIT_33 => X"5F5F5F5F5F5F5F5F5F5F5E5E5E5E5E5E5E5E5E5E5D5D5D5D5D5D5D5D5D5D5C5C",
      INIT_34 => X"6363626262626262626262626161616161616161616160606060606060606060",
      INIT_35 => X"6666666666656565656565656565656464646464646464646363636363636363",
      INIT_36 => X"6969696969696969686868686868686868676767676767676767676666666666",
      INIT_37 => X"6D6C6C6C6C6C6C6C6C6C6C6B6B6B6B6B6B6B6B6B6A6A6A6A6A6A6A6A6A6A6969",
      INIT_38 => X"70707070706F6F6F6F6F6F6F6F6F6E6E6E6E6E6E6E6E6E6E6D6D6D6D6D6D6D6D",
      INIT_39 => X"7373737373737373737272727272727272727171717171717171717070707070",
      INIT_3A => X"7777777676767676767676767675757575757575757574747474747474747473",
      INIT_3B => X"7A7A7A7A7A7A7A7A797979797979797979787878787878787878777777777777",
      INIT_3C => X"7E7E7E7D7D7D7D7D7D7D7D7D7C7C7C7C7C7C7C7C7C7B7B7B7B7B7B7B7B7B7B7A",
      INIT_3D => X"81818181818181818080808080808080807F7F7F7F7F7F7F7F7F7E7E7E7E7E7E",
      INIT_3E => X"8585858584848484848484848483838383838383838382828282828282828281",
      INIT_3F => X"8988888888888888888887878787878787878786868686868686868585858585",
      INIT_40 => X"696A6A6A6A6A6A6A6A6A6A6B6B6B6B6B6B6B6B6B6C6C6C6C6C6C6C6C6C6C6D6D",
      INIT_41 => X"6666666667676767676767676767686868686868686868696969696969696969",
      INIT_42 => X"6363636363636364646464646464646465656565656565656565666666666666",
      INIT_43 => X"6060606060606060606161616161616161616162626262626262626262636363",
      INIT_44 => X"5C5D5D5D5D5D5D5D5D5D5D5E5E5E5E5E5E5E5E5E5E5F5F5F5F5F5F5F5F5F5F60",
      INIT_45 => X"59595A5A5A5A5A5A5A5A5A5A5B5B5B5B5B5B5B5B5B5B5C5C5C5C5C5C5C5C5C5C",
      INIT_46 => X"5656565757575757575757575758585858585858585858585959595959595959",
      INIT_47 => X"5353535354545454545454545454555555555555555555555556565656565656",
      INIT_48 => X"5050505051515151515151515151525252525252525252525253535353535353",
      INIT_49 => X"4D4D4D4E4E4E4E4E4E4E4E4E4E4E4F4F4F4F4F4F4F4F4F4F4F50505050505050",
      INIT_4A => X"4A4A4A4B4B4B4B4B4B4B4B4B4B4B4C4C4C4C4C4C4C4C4C4C4D4D4D4D4D4D4D4D",
      INIT_4B => X"47484848484848484848484849494949494949494949494A4A4A4A4A4A4A4A4A",
      INIT_4C => X"4545454545454545454546464646464646464646464647474747474747474747",
      INIT_4D => X"4242424242424242434343434343434343434343444444444444444444444445",
      INIT_4E => X"3F3F3F3F3F404040404040404040404040414141414141414141414142424242",
      INIT_4F => X"3C3D3D3D3D3D3D3D3D3D3D3D3D3E3E3E3E3E3E3E3E3E3E3E3E3F3F3F3F3F3F3F",
      INIT_50 => X"3A3A3A3A3A3A3A3A3A3B3B3B3B3B3B3B3B3B3B3B3B3C3C3C3C3C3C3C3C3C3C3C",
      INIT_51 => X"37373737383838383838383838383838393939393939393939393939393A3A3A",
      INIT_52 => X"3535353535353535353535363636363636363636363636373737373737373737",
      INIT_53 => X"3232323233333333333333333333333333343434343434343434343434343535",
      INIT_54 => X"3030303030303030303031313131313131313131313131323232323232323232",
      INIT_55 => X"2D2E2E2E2E2E2E2E2E2E2E2E2E2E2E2F2F2F2F2F2F2F2F2F2F2F2F2F30303030",
      INIT_56 => X"2B2B2B2B2B2B2C2C2C2C2C2C2C2C2C2C2C2C2C2D2D2D2D2D2D2D2D2D2D2D2D2D",
      INIT_57 => X"2929292929292929292A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2B2B2B2B2B2B2B2B",
      INIT_58 => X"2727272727272727272727272728282828282828282828282828282929292929",
      INIT_59 => X"2525252525252525252525252525252626262626262626262626262626262727",
      INIT_5A => X"2222232323232323232323232323232323242424242424242424242424242424",
      INIT_5B => X"2020212121212121212121212121212121212222222222222222222222222222",
      INIT_5C => X"1E1E1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F2020202020202020202020202020",
      INIT_5D => X"1C1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E",
      INIT_5E => X"1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C",
      INIT_5F => X"191919191919191919191919191A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1B1B",
      INIT_60 => X"1717171717171717181818181818181818181818181818181818181919191919",
      INIT_61 => X"1515151616161616161616161616161616161616161617171717171717171717",
      INIT_62 => X"1414141414141414141414141414141515151515151515151515151515151515",
      INIT_63 => X"1212121212121213131313131313131313131313131313131313131414141414",
      INIT_64 => X"1111111111111111111111111111111111111212121212121212121212121212",
      INIT_65 => X"0F0F0F0F0F0F1010101010101010101010101010101010101010101011111111",
      INIT_66 => X"0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F",
      INIT_67 => X"0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0E0E0E0E0E0E0E0E",
      INIT_68 => X"0B0B0B0B0B0B0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C",
      INIT_69 => X"0A0A0A0A0A0A0A0A0A0A0A0A0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B",
      INIT_6A => X"090909090909090909090909090909090A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A",
      INIT_6B => X"0808080808080808080808080808080808080809090909090909090909090909",
      INIT_6C => X"0707070707070707070707070707070707070707070808080808080808080808",
      INIT_6D => X"0606060606060606060606060606060606060606070707070707070707070707",
      INIT_6E => X"0505050505050505050505050505050505060606060606060606060606060606",
      INIT_6F => X"0404040404040404040404050505050505050505050505050505050505050505",
      INIT_70 => X"0303040404040404040404040404040404040404040404040404040404040404",
      INIT_71 => X"0303030303030303030303030303030303030303030303030303030303030303",
      INIT_72 => X"0202020202020202020202020202020202020303030303030303030303030303",
      INIT_73 => X"0202020202020202020202020202020202020202020202020202020202020202",
      INIT_74 => X"0101010101010101010101010101010101010101010101010101020202020202",
      INIT_75 => X"0101010101010101010101010101010101010101010101010101010101010101",
      INIT_76 => X"0000000000000000000000000000000001010101010101010101010101010101",
      INIT_77 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_78 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_79 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7A => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7B => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7C => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7D => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7E => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_7F => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_A => X"000000000",
      INIT_B => X"000000000",
      INIT_FILE => "NONE",
      IS_CLKARDCLK_INVERTED => '0',
      IS_CLKBWRCLK_INVERTED => '0',
      IS_ENARDEN_INVERTED => '0',
      IS_ENBWREN_INVERTED => '0',
      IS_RSTRAMARSTRAM_INVERTED => '0',
      IS_RSTRAMB_INVERTED => '0',
      IS_RSTREGARSTREG_INVERTED => '0',
      IS_RSTREGB_INVERTED => '0',
      RDADDRCHANGEA => "FALSE",
      RDADDRCHANGEB => "FALSE",
      READ_WIDTH_A => 9,
      READ_WIDTH_B => 9,
      RSTREG_PRIORITY_A => "REGCE",
      RSTREG_PRIORITY_B => "REGCE",
      SIM_COLLISION_CHECK => "ALL",
      SLEEP_ASYNC => "FALSE",
      SRVAL_A => X"000000000",
      SRVAL_B => X"000000000",
      WRITE_MODE_A => "WRITE_FIRST",
      WRITE_MODE_B => "WRITE_FIRST",
      WRITE_WIDTH_A => 9,
      WRITE_WIDTH_B => 9
    )
        port map (
      ADDRARDADDR(14 downto 3) => addra(11 downto 0),
      ADDRARDADDR(2 downto 0) => B"000",
      ADDRBWRADDR(14 downto 0) => B"000000000000000",
      ADDRENA => '0',
      ADDRENB => '0',
      CASDIMUXA => '0',
      CASDIMUXB => '0',
      CASDINA(31 downto 0) => B"00000000000000000000000000000000",
      CASDINB(31 downto 0) => B"00000000000000000000000000000000",
      CASDINPA(3 downto 0) => B"0000",
      CASDINPB(3 downto 0) => B"0000",
      CASDOMUXA => '0',
      CASDOMUXB => '0',
      CASDOMUXEN_A => '0',
      CASDOMUXEN_B => '0',
      CASDOUTA(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED\(31 downto 0),
      CASDOUTB(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED\(31 downto 0),
      CASDOUTPA(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED\(3 downto 0),
      CASDOUTPB(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED\(3 downto 0),
      CASINDBITERR => '0',
      CASINSBITERR => '0',
      CASOREGIMUXA => '0',
      CASOREGIMUXB => '0',
      CASOREGIMUXEN_A => '0',
      CASOREGIMUXEN_B => '0',
      CASOUTDBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED\,
      CASOUTSBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED\,
      CLKARDCLK => clka,
      CLKBWRCLK => clka,
      DBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED\,
      DINADIN(31 downto 0) => B"00000000000000000000000000000000",
      DINBDIN(31 downto 0) => B"00000000000000000000000000000000",
      DINPADINP(3 downto 0) => B"0000",
      DINPBDINP(3 downto 0) => B"0000",
      DOUTADOUT(31 downto 8) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED\(31 downto 8),
      DOUTADOUT(7 downto 0) => douta(7 downto 0),
      DOUTBDOUT(31 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED\(31 downto 0),
      DOUTPADOUTP(3 downto 1) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED\(3 downto 1),
      DOUTPADOUTP(0) => \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_n_143\,
      DOUTPBDOUTP(3 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED\(3 downto 0),
      ECCPARITY(7 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED\(7 downto 0),
      ECCPIPECE => '0',
      ENARDEN => '1',
      ENBWREN => '0',
      INJECTDBITERR => '0',
      INJECTSBITERR => '0',
      RDADDRECC(8 downto 0) => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED\(8 downto 0),
      REGCEAREGCE => '1',
      REGCEB => '0',
      RSTRAMARSTRAM => '0',
      RSTRAMB => '0',
      RSTREGARSTREG => '0',
      RSTREGB => '0',
      SBITERR => \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED\,
      SLEEP => sleep,
      WEA(3 downto 0) => B"0000",
      WEBWE(7 downto 0) => B"00000000"
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_prim_width is
  port (
    douta : out STD_LOGIC_VECTOR ( 3 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_prim_width : entity is "blk_mem_gen_prim_width";
end cosine_romC_blk_mem_gen_prim_width;

architecture STRUCTURE of cosine_romC_blk_mem_gen_prim_width is
begin
\prim_init.ram\: entity work.cosine_romC_blk_mem_gen_prim_wrapper_init
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(3 downto 0) => douta(3 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity \cosine_romC_blk_mem_gen_prim_width__parameterized0\ is
  port (
    douta : out STD_LOGIC_VECTOR ( 8 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of \cosine_romC_blk_mem_gen_prim_width__parameterized0\ : entity is "blk_mem_gen_prim_width";
end \cosine_romC_blk_mem_gen_prim_width__parameterized0\;

architecture STRUCTURE of \cosine_romC_blk_mem_gen_prim_width__parameterized0\ is
begin
\prim_init.ram\: entity work.\cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized0\
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(8 downto 0) => douta(8 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity \cosine_romC_blk_mem_gen_prim_width__parameterized1\ is
  port (
    douta : out STD_LOGIC_VECTOR ( 7 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of \cosine_romC_blk_mem_gen_prim_width__parameterized1\ : entity is "blk_mem_gen_prim_width";
end \cosine_romC_blk_mem_gen_prim_width__parameterized1\;

architecture STRUCTURE of \cosine_romC_blk_mem_gen_prim_width__parameterized1\ is
begin
\prim_init.ram\: entity work.\cosine_romC_blk_mem_gen_prim_wrapper_init__parameterized1\
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(7 downto 0) => douta(7 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_generic_cstr is
  port (
    douta : out STD_LOGIC_VECTOR ( 20 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_generic_cstr : entity is "blk_mem_gen_generic_cstr";
end cosine_romC_blk_mem_gen_generic_cstr;

architecture STRUCTURE of cosine_romC_blk_mem_gen_generic_cstr is
begin
\ramloop[0].ram.r\: entity work.cosine_romC_blk_mem_gen_prim_width
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(3 downto 0) => douta(3 downto 0),
      sleep => sleep
    );
\ramloop[1].ram.r\: entity work.\cosine_romC_blk_mem_gen_prim_width__parameterized0\
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(8 downto 0) => douta(12 downto 4),
      sleep => sleep
    );
\ramloop[2].ram.r\: entity work.\cosine_romC_blk_mem_gen_prim_width__parameterized1\
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(7 downto 0) => douta(20 downto 13),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_top is
  port (
    douta : out STD_LOGIC_VECTOR ( 20 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_top : entity is "blk_mem_gen_top";
end cosine_romC_blk_mem_gen_top;

architecture STRUCTURE of cosine_romC_blk_mem_gen_top is
begin
\valid.cstr\: entity work.cosine_romC_blk_mem_gen_generic_cstr
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(20 downto 0) => douta(20 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_v8_4_1_synth is
  port (
    douta : out STD_LOGIC_VECTOR ( 20 downto 0 );
    clka : in STD_LOGIC;
    sleep : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_v8_4_1_synth : entity is "blk_mem_gen_v8_4_1_synth";
end cosine_romC_blk_mem_gen_v8_4_1_synth;

architecture STRUCTURE of cosine_romC_blk_mem_gen_v8_4_1_synth is
begin
\gnbram.gnativebmg.native_blk_mem_gen\: entity work.cosine_romC_blk_mem_gen_top
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(20 downto 0) => douta(20 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC_blk_mem_gen_v8_4_1 is
  port (
    clka : in STD_LOGIC;
    rsta : in STD_LOGIC;
    ena : in STD_LOGIC;
    regcea : in STD_LOGIC;
    wea : in STD_LOGIC_VECTOR ( 0 to 0 );
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 );
    dina : in STD_LOGIC_VECTOR ( 20 downto 0 );
    douta : out STD_LOGIC_VECTOR ( 20 downto 0 );
    clkb : in STD_LOGIC;
    rstb : in STD_LOGIC;
    enb : in STD_LOGIC;
    regceb : in STD_LOGIC;
    web : in STD_LOGIC_VECTOR ( 0 to 0 );
    addrb : in STD_LOGIC_VECTOR ( 11 downto 0 );
    dinb : in STD_LOGIC_VECTOR ( 20 downto 0 );
    doutb : out STD_LOGIC_VECTOR ( 20 downto 0 );
    injectsbiterr : in STD_LOGIC;
    injectdbiterr : in STD_LOGIC;
    eccpipece : in STD_LOGIC;
    sbiterr : out STD_LOGIC;
    dbiterr : out STD_LOGIC;
    rdaddrecc : out STD_LOGIC_VECTOR ( 11 downto 0 );
    sleep : in STD_LOGIC;
    deepsleep : in STD_LOGIC;
    shutdown : in STD_LOGIC;
    rsta_busy : out STD_LOGIC;
    rstb_busy : out STD_LOGIC;
    s_aclk : in STD_LOGIC;
    s_aresetn : in STD_LOGIC;
    s_axi_awid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_awlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axi_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_wdata : in STD_LOGIC_VECTOR ( 20 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_wlast : in STD_LOGIC;
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_arid : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_arlen : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axi_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rid : out STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_rdata : out STD_LOGIC_VECTOR ( 20 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rlast : out STD_LOGIC;
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    s_axi_injectsbiterr : in STD_LOGIC;
    s_axi_injectdbiterr : in STD_LOGIC;
    s_axi_sbiterr : out STD_LOGIC;
    s_axi_dbiterr : out STD_LOGIC;
    s_axi_rdaddrecc : out STD_LOGIC_VECTOR ( 11 downto 0 )
  );
  attribute C_ADDRA_WIDTH : integer;
  attribute C_ADDRA_WIDTH of cosine_romC_blk_mem_gen_v8_4_1 : entity is 12;
  attribute C_ADDRB_WIDTH : integer;
  attribute C_ADDRB_WIDTH of cosine_romC_blk_mem_gen_v8_4_1 : entity is 12;
  attribute C_ALGORITHM : integer;
  attribute C_ALGORITHM of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_AXI_ID_WIDTH : integer;
  attribute C_AXI_ID_WIDTH of cosine_romC_blk_mem_gen_v8_4_1 : entity is 4;
  attribute C_AXI_SLAVE_TYPE : integer;
  attribute C_AXI_SLAVE_TYPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_AXI_TYPE : integer;
  attribute C_AXI_TYPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_BYTE_SIZE : integer;
  attribute C_BYTE_SIZE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 9;
  attribute C_COMMON_CLK : integer;
  attribute C_COMMON_CLK of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_COUNT_18K_BRAM : string;
  attribute C_COUNT_18K_BRAM of cosine_romC_blk_mem_gen_v8_4_1 : entity is "1";
  attribute C_COUNT_36K_BRAM : string;
  attribute C_COUNT_36K_BRAM of cosine_romC_blk_mem_gen_v8_4_1 : entity is "2";
  attribute C_CTRL_ECC_ALGO : string;
  attribute C_CTRL_ECC_ALGO of cosine_romC_blk_mem_gen_v8_4_1 : entity is "NONE";
  attribute C_DEFAULT_DATA : string;
  attribute C_DEFAULT_DATA of cosine_romC_blk_mem_gen_v8_4_1 : entity is "0";
  attribute C_DISABLE_WARN_BHV_COLL : integer;
  attribute C_DISABLE_WARN_BHV_COLL of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_DISABLE_WARN_BHV_RANGE : integer;
  attribute C_DISABLE_WARN_BHV_RANGE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_ELABORATION_DIR : string;
  attribute C_ELABORATION_DIR of cosine_romC_blk_mem_gen_v8_4_1 : entity is "./";
  attribute C_ENABLE_32BIT_ADDRESS : integer;
  attribute C_ENABLE_32BIT_ADDRESS of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_DEEPSLEEP_PIN : integer;
  attribute C_EN_DEEPSLEEP_PIN of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_ECC_PIPE : integer;
  attribute C_EN_ECC_PIPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_RDADDRA_CHG : integer;
  attribute C_EN_RDADDRA_CHG of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_RDADDRB_CHG : integer;
  attribute C_EN_RDADDRB_CHG of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_SAFETY_CKT : integer;
  attribute C_EN_SAFETY_CKT of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_SHUTDOWN_PIN : integer;
  attribute C_EN_SHUTDOWN_PIN of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EN_SLEEP_PIN : integer;
  attribute C_EN_SLEEP_PIN of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_EST_POWER_SUMMARY : string;
  attribute C_EST_POWER_SUMMARY of cosine_romC_blk_mem_gen_v8_4_1 : entity is "Estimated Power for IP     :     4.100926 mW";
  attribute C_FAMILY : string;
  attribute C_FAMILY of cosine_romC_blk_mem_gen_v8_4_1 : entity is "kintexuplus";
  attribute C_HAS_AXI_ID : integer;
  attribute C_HAS_AXI_ID of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_ENA : integer;
  attribute C_HAS_ENA of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_ENB : integer;
  attribute C_HAS_ENB of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_INJECTERR : integer;
  attribute C_HAS_INJECTERR of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_MEM_OUTPUT_REGS_A : integer;
  attribute C_HAS_MEM_OUTPUT_REGS_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_HAS_MEM_OUTPUT_REGS_B : integer;
  attribute C_HAS_MEM_OUTPUT_REGS_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_MUX_OUTPUT_REGS_A : integer;
  attribute C_HAS_MUX_OUTPUT_REGS_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_MUX_OUTPUT_REGS_B : integer;
  attribute C_HAS_MUX_OUTPUT_REGS_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_REGCEA : integer;
  attribute C_HAS_REGCEA of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_REGCEB : integer;
  attribute C_HAS_REGCEB of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_RSTA : integer;
  attribute C_HAS_RSTA of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_RSTB : integer;
  attribute C_HAS_RSTB of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_SOFTECC_INPUT_REGS_A : integer;
  attribute C_HAS_SOFTECC_INPUT_REGS_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_HAS_SOFTECC_OUTPUT_REGS_B : integer;
  attribute C_HAS_SOFTECC_OUTPUT_REGS_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_INITA_VAL : string;
  attribute C_INITA_VAL of cosine_romC_blk_mem_gen_v8_4_1 : entity is "0";
  attribute C_INITB_VAL : string;
  attribute C_INITB_VAL of cosine_romC_blk_mem_gen_v8_4_1 : entity is "0";
  attribute C_INIT_FILE : string;
  attribute C_INIT_FILE of cosine_romC_blk_mem_gen_v8_4_1 : entity is "cosine_romC.mem";
  attribute C_INIT_FILE_NAME : string;
  attribute C_INIT_FILE_NAME of cosine_romC_blk_mem_gen_v8_4_1 : entity is "cosine_romC.mif";
  attribute C_INTERFACE_TYPE : integer;
  attribute C_INTERFACE_TYPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_LOAD_INIT_FILE : integer;
  attribute C_LOAD_INIT_FILE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_MEM_TYPE : integer;
  attribute C_MEM_TYPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 3;
  attribute C_MUX_PIPELINE_STAGES : integer;
  attribute C_MUX_PIPELINE_STAGES of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_PRIM_TYPE : integer;
  attribute C_PRIM_TYPE of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_READ_DEPTH_A : integer;
  attribute C_READ_DEPTH_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 4096;
  attribute C_READ_DEPTH_B : integer;
  attribute C_READ_DEPTH_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 4096;
  attribute C_READ_WIDTH_A : integer;
  attribute C_READ_WIDTH_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 21;
  attribute C_READ_WIDTH_B : integer;
  attribute C_READ_WIDTH_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 21;
  attribute C_RSTRAM_A : integer;
  attribute C_RSTRAM_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_RSTRAM_B : integer;
  attribute C_RSTRAM_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_RST_PRIORITY_A : string;
  attribute C_RST_PRIORITY_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is "CE";
  attribute C_RST_PRIORITY_B : string;
  attribute C_RST_PRIORITY_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is "CE";
  attribute C_SIM_COLLISION_CHECK : string;
  attribute C_SIM_COLLISION_CHECK of cosine_romC_blk_mem_gen_v8_4_1 : entity is "ALL";
  attribute C_USE_BRAM_BLOCK : integer;
  attribute C_USE_BRAM_BLOCK of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_BYTE_WEA : integer;
  attribute C_USE_BYTE_WEA of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_BYTE_WEB : integer;
  attribute C_USE_BYTE_WEB of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_DEFAULT_DATA : integer;
  attribute C_USE_DEFAULT_DATA of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_ECC : integer;
  attribute C_USE_ECC of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_SOFTECC : integer;
  attribute C_USE_SOFTECC of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_USE_URAM : integer;
  attribute C_USE_URAM of cosine_romC_blk_mem_gen_v8_4_1 : entity is 0;
  attribute C_WEA_WIDTH : integer;
  attribute C_WEA_WIDTH of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_WEB_WIDTH : integer;
  attribute C_WEB_WIDTH of cosine_romC_blk_mem_gen_v8_4_1 : entity is 1;
  attribute C_WRITE_DEPTH_A : integer;
  attribute C_WRITE_DEPTH_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 4096;
  attribute C_WRITE_DEPTH_B : integer;
  attribute C_WRITE_DEPTH_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 4096;
  attribute C_WRITE_MODE_A : string;
  attribute C_WRITE_MODE_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is "WRITE_FIRST";
  attribute C_WRITE_MODE_B : string;
  attribute C_WRITE_MODE_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is "WRITE_FIRST";
  attribute C_WRITE_WIDTH_A : integer;
  attribute C_WRITE_WIDTH_A of cosine_romC_blk_mem_gen_v8_4_1 : entity is 21;
  attribute C_WRITE_WIDTH_B : integer;
  attribute C_WRITE_WIDTH_B of cosine_romC_blk_mem_gen_v8_4_1 : entity is 21;
  attribute C_XDEVICEFAMILY : string;
  attribute C_XDEVICEFAMILY of cosine_romC_blk_mem_gen_v8_4_1 : entity is "kintexuplus";
  attribute ORIG_REF_NAME : string;
  attribute ORIG_REF_NAME of cosine_romC_blk_mem_gen_v8_4_1 : entity is "blk_mem_gen_v8_4_1";
  attribute downgradeipidentifiedwarnings : string;
  attribute downgradeipidentifiedwarnings of cosine_romC_blk_mem_gen_v8_4_1 : entity is "yes";
end cosine_romC_blk_mem_gen_v8_4_1;

architecture STRUCTURE of cosine_romC_blk_mem_gen_v8_4_1 is
  signal \<const0>\ : STD_LOGIC;
begin
  dbiterr <= \<const0>\;
  doutb(20) <= \<const0>\;
  doutb(19) <= \<const0>\;
  doutb(18) <= \<const0>\;
  doutb(17) <= \<const0>\;
  doutb(16) <= \<const0>\;
  doutb(15) <= \<const0>\;
  doutb(14) <= \<const0>\;
  doutb(13) <= \<const0>\;
  doutb(12) <= \<const0>\;
  doutb(11) <= \<const0>\;
  doutb(10) <= \<const0>\;
  doutb(9) <= \<const0>\;
  doutb(8) <= \<const0>\;
  doutb(7) <= \<const0>\;
  doutb(6) <= \<const0>\;
  doutb(5) <= \<const0>\;
  doutb(4) <= \<const0>\;
  doutb(3) <= \<const0>\;
  doutb(2) <= \<const0>\;
  doutb(1) <= \<const0>\;
  doutb(0) <= \<const0>\;
  rdaddrecc(11) <= \<const0>\;
  rdaddrecc(10) <= \<const0>\;
  rdaddrecc(9) <= \<const0>\;
  rdaddrecc(8) <= \<const0>\;
  rdaddrecc(7) <= \<const0>\;
  rdaddrecc(6) <= \<const0>\;
  rdaddrecc(5) <= \<const0>\;
  rdaddrecc(4) <= \<const0>\;
  rdaddrecc(3) <= \<const0>\;
  rdaddrecc(2) <= \<const0>\;
  rdaddrecc(1) <= \<const0>\;
  rdaddrecc(0) <= \<const0>\;
  rsta_busy <= \<const0>\;
  rstb_busy <= \<const0>\;
  s_axi_arready <= \<const0>\;
  s_axi_awready <= \<const0>\;
  s_axi_bid(3) <= \<const0>\;
  s_axi_bid(2) <= \<const0>\;
  s_axi_bid(1) <= \<const0>\;
  s_axi_bid(0) <= \<const0>\;
  s_axi_bresp(1) <= \<const0>\;
  s_axi_bresp(0) <= \<const0>\;
  s_axi_bvalid <= \<const0>\;
  s_axi_dbiterr <= \<const0>\;
  s_axi_rdaddrecc(11) <= \<const0>\;
  s_axi_rdaddrecc(10) <= \<const0>\;
  s_axi_rdaddrecc(9) <= \<const0>\;
  s_axi_rdaddrecc(8) <= \<const0>\;
  s_axi_rdaddrecc(7) <= \<const0>\;
  s_axi_rdaddrecc(6) <= \<const0>\;
  s_axi_rdaddrecc(5) <= \<const0>\;
  s_axi_rdaddrecc(4) <= \<const0>\;
  s_axi_rdaddrecc(3) <= \<const0>\;
  s_axi_rdaddrecc(2) <= \<const0>\;
  s_axi_rdaddrecc(1) <= \<const0>\;
  s_axi_rdaddrecc(0) <= \<const0>\;
  s_axi_rdata(20) <= \<const0>\;
  s_axi_rdata(19) <= \<const0>\;
  s_axi_rdata(18) <= \<const0>\;
  s_axi_rdata(17) <= \<const0>\;
  s_axi_rdata(16) <= \<const0>\;
  s_axi_rdata(15) <= \<const0>\;
  s_axi_rdata(14) <= \<const0>\;
  s_axi_rdata(13) <= \<const0>\;
  s_axi_rdata(12) <= \<const0>\;
  s_axi_rdata(11) <= \<const0>\;
  s_axi_rdata(10) <= \<const0>\;
  s_axi_rdata(9) <= \<const0>\;
  s_axi_rdata(8) <= \<const0>\;
  s_axi_rdata(7) <= \<const0>\;
  s_axi_rdata(6) <= \<const0>\;
  s_axi_rdata(5) <= \<const0>\;
  s_axi_rdata(4) <= \<const0>\;
  s_axi_rdata(3) <= \<const0>\;
  s_axi_rdata(2) <= \<const0>\;
  s_axi_rdata(1) <= \<const0>\;
  s_axi_rdata(0) <= \<const0>\;
  s_axi_rid(3) <= \<const0>\;
  s_axi_rid(2) <= \<const0>\;
  s_axi_rid(1) <= \<const0>\;
  s_axi_rid(0) <= \<const0>\;
  s_axi_rlast <= \<const0>\;
  s_axi_rresp(1) <= \<const0>\;
  s_axi_rresp(0) <= \<const0>\;
  s_axi_rvalid <= \<const0>\;
  s_axi_sbiterr <= \<const0>\;
  s_axi_wready <= \<const0>\;
  sbiterr <= \<const0>\;
GND: unisim.vcomponents.GND
     port map (
      G => \<const0>\
    );
inst_blk_mem_gen: entity work.cosine_romC_blk_mem_gen_v8_4_1_synth
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      clka => clka,
      douta(20 downto 0) => douta(20 downto 0),
      sleep => sleep
    );
end STRUCTURE;
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity cosine_romC is
  port (
    clka : in STD_LOGIC;
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 );
    douta : out STD_LOGIC_VECTOR ( 20 downto 0 )
  );
  attribute NotValidForBitStream : boolean;
  attribute NotValidForBitStream of cosine_romC : entity is true;
  attribute CHECK_LICENSE_TYPE : string;
  attribute CHECK_LICENSE_TYPE of cosine_romC : entity is "cosine_romC,blk_mem_gen_v8_4_1,{}";
  attribute downgradeipidentifiedwarnings : string;
  attribute downgradeipidentifiedwarnings of cosine_romC : entity is "yes";
  attribute x_core_info : string;
  attribute x_core_info of cosine_romC : entity is "blk_mem_gen_v8_4_1,Vivado 2018.2";
end cosine_romC;

architecture STRUCTURE of cosine_romC is
  signal NLW_U0_dbiterr_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_rsta_busy_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_rstb_busy_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_arready_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_awready_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_bvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_dbiterr_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_rlast_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_rvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_sbiterr_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_s_axi_wready_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_sbiterr_UNCONNECTED : STD_LOGIC;
  signal NLW_U0_doutb_UNCONNECTED : STD_LOGIC_VECTOR ( 20 downto 0 );
  signal NLW_U0_rdaddrecc_UNCONNECTED : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal NLW_U0_s_axi_bid_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_U0_s_axi_bresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_U0_s_axi_rdaddrecc_UNCONNECTED : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal NLW_U0_s_axi_rdata_UNCONNECTED : STD_LOGIC_VECTOR ( 20 downto 0 );
  signal NLW_U0_s_axi_rid_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_U0_s_axi_rresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  attribute C_ADDRA_WIDTH : integer;
  attribute C_ADDRA_WIDTH of U0 : label is 12;
  attribute C_ADDRB_WIDTH : integer;
  attribute C_ADDRB_WIDTH of U0 : label is 12;
  attribute C_ALGORITHM : integer;
  attribute C_ALGORITHM of U0 : label is 1;
  attribute C_AXI_ID_WIDTH : integer;
  attribute C_AXI_ID_WIDTH of U0 : label is 4;
  attribute C_AXI_SLAVE_TYPE : integer;
  attribute C_AXI_SLAVE_TYPE of U0 : label is 0;
  attribute C_AXI_TYPE : integer;
  attribute C_AXI_TYPE of U0 : label is 1;
  attribute C_BYTE_SIZE : integer;
  attribute C_BYTE_SIZE of U0 : label is 9;
  attribute C_COMMON_CLK : integer;
  attribute C_COMMON_CLK of U0 : label is 0;
  attribute C_COUNT_18K_BRAM : string;
  attribute C_COUNT_18K_BRAM of U0 : label is "1";
  attribute C_COUNT_36K_BRAM : string;
  attribute C_COUNT_36K_BRAM of U0 : label is "2";
  attribute C_CTRL_ECC_ALGO : string;
  attribute C_CTRL_ECC_ALGO of U0 : label is "NONE";
  attribute C_DEFAULT_DATA : string;
  attribute C_DEFAULT_DATA of U0 : label is "0";
  attribute C_DISABLE_WARN_BHV_COLL : integer;
  attribute C_DISABLE_WARN_BHV_COLL of U0 : label is 0;
  attribute C_DISABLE_WARN_BHV_RANGE : integer;
  attribute C_DISABLE_WARN_BHV_RANGE of U0 : label is 0;
  attribute C_ELABORATION_DIR : string;
  attribute C_ELABORATION_DIR of U0 : label is "./";
  attribute C_ENABLE_32BIT_ADDRESS : integer;
  attribute C_ENABLE_32BIT_ADDRESS of U0 : label is 0;
  attribute C_EN_DEEPSLEEP_PIN : integer;
  attribute C_EN_DEEPSLEEP_PIN of U0 : label is 0;
  attribute C_EN_ECC_PIPE : integer;
  attribute C_EN_ECC_PIPE of U0 : label is 0;
  attribute C_EN_RDADDRA_CHG : integer;
  attribute C_EN_RDADDRA_CHG of U0 : label is 0;
  attribute C_EN_RDADDRB_CHG : integer;
  attribute C_EN_RDADDRB_CHG of U0 : label is 0;
  attribute C_EN_SAFETY_CKT : integer;
  attribute C_EN_SAFETY_CKT of U0 : label is 0;
  attribute C_EN_SHUTDOWN_PIN : integer;
  attribute C_EN_SHUTDOWN_PIN of U0 : label is 0;
  attribute C_EN_SLEEP_PIN : integer;
  attribute C_EN_SLEEP_PIN of U0 : label is 0;
  attribute C_EST_POWER_SUMMARY : string;
  attribute C_EST_POWER_SUMMARY of U0 : label is "Estimated Power for IP     :     4.100926 mW";
  attribute C_FAMILY : string;
  attribute C_FAMILY of U0 : label is "kintexuplus";
  attribute C_HAS_AXI_ID : integer;
  attribute C_HAS_AXI_ID of U0 : label is 0;
  attribute C_HAS_ENA : integer;
  attribute C_HAS_ENA of U0 : label is 0;
  attribute C_HAS_ENB : integer;
  attribute C_HAS_ENB of U0 : label is 0;
  attribute C_HAS_INJECTERR : integer;
  attribute C_HAS_INJECTERR of U0 : label is 0;
  attribute C_HAS_MEM_OUTPUT_REGS_A : integer;
  attribute C_HAS_MEM_OUTPUT_REGS_A of U0 : label is 1;
  attribute C_HAS_MEM_OUTPUT_REGS_B : integer;
  attribute C_HAS_MEM_OUTPUT_REGS_B of U0 : label is 0;
  attribute C_HAS_MUX_OUTPUT_REGS_A : integer;
  attribute C_HAS_MUX_OUTPUT_REGS_A of U0 : label is 0;
  attribute C_HAS_MUX_OUTPUT_REGS_B : integer;
  attribute C_HAS_MUX_OUTPUT_REGS_B of U0 : label is 0;
  attribute C_HAS_REGCEA : integer;
  attribute C_HAS_REGCEA of U0 : label is 0;
  attribute C_HAS_REGCEB : integer;
  attribute C_HAS_REGCEB of U0 : label is 0;
  attribute C_HAS_RSTA : integer;
  attribute C_HAS_RSTA of U0 : label is 0;
  attribute C_HAS_RSTB : integer;
  attribute C_HAS_RSTB of U0 : label is 0;
  attribute C_HAS_SOFTECC_INPUT_REGS_A : integer;
  attribute C_HAS_SOFTECC_INPUT_REGS_A of U0 : label is 0;
  attribute C_HAS_SOFTECC_OUTPUT_REGS_B : integer;
  attribute C_HAS_SOFTECC_OUTPUT_REGS_B of U0 : label is 0;
  attribute C_INITA_VAL : string;
  attribute C_INITA_VAL of U0 : label is "0";
  attribute C_INITB_VAL : string;
  attribute C_INITB_VAL of U0 : label is "0";
  attribute C_INIT_FILE : string;
  attribute C_INIT_FILE of U0 : label is "cosine_romC.mem";
  attribute C_INIT_FILE_NAME : string;
  attribute C_INIT_FILE_NAME of U0 : label is "cosine_romC.mif";
  attribute C_INTERFACE_TYPE : integer;
  attribute C_INTERFACE_TYPE of U0 : label is 0;
  attribute C_LOAD_INIT_FILE : integer;
  attribute C_LOAD_INIT_FILE of U0 : label is 1;
  attribute C_MEM_TYPE : integer;
  attribute C_MEM_TYPE of U0 : label is 3;
  attribute C_MUX_PIPELINE_STAGES : integer;
  attribute C_MUX_PIPELINE_STAGES of U0 : label is 0;
  attribute C_PRIM_TYPE : integer;
  attribute C_PRIM_TYPE of U0 : label is 1;
  attribute C_READ_DEPTH_A : integer;
  attribute C_READ_DEPTH_A of U0 : label is 4096;
  attribute C_READ_DEPTH_B : integer;
  attribute C_READ_DEPTH_B of U0 : label is 4096;
  attribute C_READ_WIDTH_A : integer;
  attribute C_READ_WIDTH_A of U0 : label is 21;
  attribute C_READ_WIDTH_B : integer;
  attribute C_READ_WIDTH_B of U0 : label is 21;
  attribute C_RSTRAM_A : integer;
  attribute C_RSTRAM_A of U0 : label is 0;
  attribute C_RSTRAM_B : integer;
  attribute C_RSTRAM_B of U0 : label is 0;
  attribute C_RST_PRIORITY_A : string;
  attribute C_RST_PRIORITY_A of U0 : label is "CE";
  attribute C_RST_PRIORITY_B : string;
  attribute C_RST_PRIORITY_B of U0 : label is "CE";
  attribute C_SIM_COLLISION_CHECK : string;
  attribute C_SIM_COLLISION_CHECK of U0 : label is "ALL";
  attribute C_USE_BRAM_BLOCK : integer;
  attribute C_USE_BRAM_BLOCK of U0 : label is 0;
  attribute C_USE_BYTE_WEA : integer;
  attribute C_USE_BYTE_WEA of U0 : label is 0;
  attribute C_USE_BYTE_WEB : integer;
  attribute C_USE_BYTE_WEB of U0 : label is 0;
  attribute C_USE_DEFAULT_DATA : integer;
  attribute C_USE_DEFAULT_DATA of U0 : label is 0;
  attribute C_USE_ECC : integer;
  attribute C_USE_ECC of U0 : label is 0;
  attribute C_USE_SOFTECC : integer;
  attribute C_USE_SOFTECC of U0 : label is 0;
  attribute C_USE_URAM : integer;
  attribute C_USE_URAM of U0 : label is 0;
  attribute C_WEA_WIDTH : integer;
  attribute C_WEA_WIDTH of U0 : label is 1;
  attribute C_WEB_WIDTH : integer;
  attribute C_WEB_WIDTH of U0 : label is 1;
  attribute C_WRITE_DEPTH_A : integer;
  attribute C_WRITE_DEPTH_A of U0 : label is 4096;
  attribute C_WRITE_DEPTH_B : integer;
  attribute C_WRITE_DEPTH_B of U0 : label is 4096;
  attribute C_WRITE_MODE_A : string;
  attribute C_WRITE_MODE_A of U0 : label is "WRITE_FIRST";
  attribute C_WRITE_MODE_B : string;
  attribute C_WRITE_MODE_B of U0 : label is "WRITE_FIRST";
  attribute C_WRITE_WIDTH_A : integer;
  attribute C_WRITE_WIDTH_A of U0 : label is 21;
  attribute C_WRITE_WIDTH_B : integer;
  attribute C_WRITE_WIDTH_B of U0 : label is 21;
  attribute C_XDEVICEFAMILY : string;
  attribute C_XDEVICEFAMILY of U0 : label is "kintexuplus";
  attribute downgradeipidentifiedwarnings of U0 : label is "yes";
  attribute x_interface_info : string;
  attribute x_interface_info of clka : signal is "xilinx.com:interface:bram:1.0 BRAM_PORTA CLK";
  attribute x_interface_parameter : string;
  attribute x_interface_parameter of clka : signal is "XIL_INTERFACENAME BRAM_PORTA, MEM_SIZE 8192, MEM_WIDTH 32, MEM_ECC NONE, MASTER_TYPE OTHER";
  attribute x_interface_info of addra : signal is "xilinx.com:interface:bram:1.0 BRAM_PORTA ADDR";
  attribute x_interface_info of douta : signal is "xilinx.com:interface:bram:1.0 BRAM_PORTA DOUT";
begin
U0: entity work.cosine_romC_blk_mem_gen_v8_4_1
     port map (
      addra(11 downto 0) => addra(11 downto 0),
      addrb(11 downto 0) => B"000000000000",
      clka => clka,
      clkb => '0',
      dbiterr => NLW_U0_dbiterr_UNCONNECTED,
      deepsleep => '0',
      dina(20 downto 0) => B"000000000000000000000",
      dinb(20 downto 0) => B"000000000000000000000",
      douta(20 downto 0) => douta(20 downto 0),
      doutb(20 downto 0) => NLW_U0_doutb_UNCONNECTED(20 downto 0),
      eccpipece => '0',
      ena => '0',
      enb => '0',
      injectdbiterr => '0',
      injectsbiterr => '0',
      rdaddrecc(11 downto 0) => NLW_U0_rdaddrecc_UNCONNECTED(11 downto 0),
      regcea => '0',
      regceb => '0',
      rsta => '0',
      rsta_busy => NLW_U0_rsta_busy_UNCONNECTED,
      rstb => '0',
      rstb_busy => NLW_U0_rstb_busy_UNCONNECTED,
      s_aclk => '0',
      s_aresetn => '0',
      s_axi_araddr(31 downto 0) => B"00000000000000000000000000000000",
      s_axi_arburst(1 downto 0) => B"00",
      s_axi_arid(3 downto 0) => B"0000",
      s_axi_arlen(7 downto 0) => B"00000000",
      s_axi_arready => NLW_U0_s_axi_arready_UNCONNECTED,
      s_axi_arsize(2 downto 0) => B"000",
      s_axi_arvalid => '0',
      s_axi_awaddr(31 downto 0) => B"00000000000000000000000000000000",
      s_axi_awburst(1 downto 0) => B"00",
      s_axi_awid(3 downto 0) => B"0000",
      s_axi_awlen(7 downto 0) => B"00000000",
      s_axi_awready => NLW_U0_s_axi_awready_UNCONNECTED,
      s_axi_awsize(2 downto 0) => B"000",
      s_axi_awvalid => '0',
      s_axi_bid(3 downto 0) => NLW_U0_s_axi_bid_UNCONNECTED(3 downto 0),
      s_axi_bready => '0',
      s_axi_bresp(1 downto 0) => NLW_U0_s_axi_bresp_UNCONNECTED(1 downto 0),
      s_axi_bvalid => NLW_U0_s_axi_bvalid_UNCONNECTED,
      s_axi_dbiterr => NLW_U0_s_axi_dbiterr_UNCONNECTED,
      s_axi_injectdbiterr => '0',
      s_axi_injectsbiterr => '0',
      s_axi_rdaddrecc(11 downto 0) => NLW_U0_s_axi_rdaddrecc_UNCONNECTED(11 downto 0),
      s_axi_rdata(20 downto 0) => NLW_U0_s_axi_rdata_UNCONNECTED(20 downto 0),
      s_axi_rid(3 downto 0) => NLW_U0_s_axi_rid_UNCONNECTED(3 downto 0),
      s_axi_rlast => NLW_U0_s_axi_rlast_UNCONNECTED,
      s_axi_rready => '0',
      s_axi_rresp(1 downto 0) => NLW_U0_s_axi_rresp_UNCONNECTED(1 downto 0),
      s_axi_rvalid => NLW_U0_s_axi_rvalid_UNCONNECTED,
      s_axi_sbiterr => NLW_U0_s_axi_sbiterr_UNCONNECTED,
      s_axi_wdata(20 downto 0) => B"000000000000000000000",
      s_axi_wlast => '0',
      s_axi_wready => NLW_U0_s_axi_wready_UNCONNECTED,
      s_axi_wstrb(0) => '0',
      s_axi_wvalid => '0',
      sbiterr => NLW_U0_sbiterr_UNCONNECTED,
      shutdown => '0',
      sleep => '0',
      wea(0) => '0',
      web(0) => '0'
    );
end STRUCTURE;
